'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgAgricultureOutlined = function SvgAgricultureOutlined(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#AgricultureOutlined_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "M22 8v6.06c.62.63 1 1.49 1 2.44 0 1.93-1.57 3.5-3.5 3.5S16 18.43 16 16.5c0-.128.017-.255.034-.383l.016-.127h-5.16c-.06.28-.14.56-.24.82l-.9-.4-.21.46.89.4A4.92 4.92 0 0 1 8 19.58l-.35-.93-.47.18.34.91c-.48.15-.99.26-1.52.26-.64 0-1.26-.13-1.81-.35l.4-.9-.46-.21-.4.89A4.92 4.92 0 0 1 1.42 17l.93-.35-.18-.47-.91.34C1.11 16.04 1 15.53 1 15c0-.64.13-1.26.35-1.81l.9.4.21-.46-.89-.4A4.92 4.92 0 0 1 4 10.42l.35.93.47-.18-.34-.91c.48-.15.99-.26 1.52-.26.64 0 1.26.13 1.81.35l-.4.9.46.21.4-.89c.24.13.47.27.69.43H11c1.1 0 2-.9 2-2V6.71l-1.06-1.06-1.41 1.41-.71-.71 3.53-3.53.71.71-1.41 1.41L13.71 6H20c1.1 0 2 .9 2 2M3 15c0 1.66 1.34 3 3 3s3-1.34 3-3-1.34-3-3-3-3 1.34-3 3m7.74-1.52c.05.17.09.34.13.52h6.19c.63-.62 1.49-1 2.44-1 .132 0 .264.018.391.036l.109.014V8h-5v1c0 2.21-1.79 4-4 4h-.42l-.93.35.18.47zM18 16.5c0 .83.67 1.5 1.5 1.5s1.5-.67 1.5-1.5-.67-1.5-1.5-1.5-1.5.67-1.5 1.5M9 9H4c-.55 0-1-.45-1-1s.45-1 1-1h3c1.1 0 2 .9 2 2",
    clipRule: "evenodd"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "AgricultureOutlined_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h24v24H0z"
  })))));
};

exports.ReactComponent = SvgAgricultureOutlined;
